gi-vte-2.91.19: Vte bindings

Copyright | Will Thompson Iñaki García Etxebarria and Jonas Platte
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria (garetxe@gmail.com)
Safe Haskell | None
Language | Haskell2010

GI.Vte.Flags

Contents

- Flags
  - PtyFlags

Description

Synopsis

- data PtyFlags
  - = PtyFlagsNoLastlog
  - | PtyFlagsNoUtmp
  - | PtyFlagsNoWtmp
  - | PtyFlagsNoHelper
  - | PtyFlagsNoFallback
  - | PtyFlagsNoSession
  - | PtyFlagsNoCtty
  - | PtyFlagsDefault
  - | AnotherPtyFlags Int

# Flags

## PtyFlags

data PtyFlags Source #

No description available in the introspection data.

Constructors

PtyFlagsNoLastlog | Unused. Deprecated: 0.38
PtyFlagsNoUtmp | Unused. Deprecated: 0.38
PtyFlagsNoWtmp | Unused. Deprecated: 0.38
PtyFlagsNoHelper | Unused. Deprecated: 0.38
PtyFlagsNoFallback | Unused. Deprecated: 0.38
PtyFlagsNoSession | Do not start a new session for the child in `ptyChildSetup`. See man:setsid(2) for more information. Since: 0.58
PtyFlagsNoCtty | Do not set the PTY as the controlling TTY for the child in `ptyChildSetup`. See man:tty_ioctl(4) for more information. Since: 0.58
PtyFlagsDefault | the default flags
AnotherPtyFlags Int | Catch-all for unknown values

Instances

Enum PtyFlags Source # |

Instance details

Defined in GI.Vte.Flags

Methods

succ :: PtyFlags -> PtyFlags Source #

pred :: PtyFlags -> PtyFlags Source #

toEnum :: Int -> PtyFlags Source #

fromEnum :: PtyFlags -> Int Source #

enumFrom :: PtyFlags -> [PtyFlags] Source #

enumFromThen :: PtyFlags -> PtyFlags -> [PtyFlags] Source #

enumFromTo :: PtyFlags -> PtyFlags -> [PtyFlags] Source #

enumFromThenTo :: PtyFlags -> PtyFlags -> PtyFlags -> [PtyFlags] Source #

Eq PtyFlags Source # |
Instance details Defined in GI.Vte.Flags Methods (==) :: PtyFlags -> PtyFlags -> Bool Source # (/=) :: PtyFlags -> PtyFlags -> Bool Source #
Ord PtyFlags Source # |
Instance details Defined in GI.Vte.Flags Methods compare :: PtyFlags -> PtyFlags -> Ordering Source # (<) :: PtyFlags -> PtyFlags -> Bool Source # (<=) :: PtyFlags -> PtyFlags -> Bool Source # (>) :: PtyFlags -> PtyFlags -> Bool Source # (>=) :: PtyFlags -> PtyFlags -> Bool Source # max :: PtyFlags -> PtyFlags -> PtyFlags Source # min :: PtyFlags -> PtyFlags -> PtyFlags Source #
Show PtyFlags Source # |
Instance details Defined in GI.Vte.Flags Methods showsPrec :: Int -> PtyFlags -> ShowS Source # show :: PtyFlags -> String Source # showList :: [PtyFlags] -> ShowS Source #
BoxedFlags PtyFlags Source # |
Instance details Defined in GI.Vte.Flags Methods boxedFlagsType :: Proxy PtyFlags -> IO GType Source #
IsGFlag PtyFlags Source # |
Instance details Defined in GI.Vte.Flags